Page MenuHomePhabricator

Show text changes of both parties in edit conflict text field
Closed, ResolvedPublic18 Story Points

Description

Task:
The text field on the left hand side of the new edit merge screen (see T143823) should be changed as follows:
Show Diff View

  • The textfield shows the diff of both versions
  • The diff algorithm is exactly the same as it is currently implemented. The only difference is that it is not displayed side-by-side but above each other
  • Both changes are introduced by a header:
    • Header texts: Your change and Currently published
    • These headers cannot be copied. Everything else can.

Include not changed text

  • All text that has stayed the same in both versions is printed in the textfield as well. The diff parts always appear at their appropriate position in the text.

Coloring

  • The changes introduced by the user, the headline for the user's changes and the "you" of the subtitle all have the same background color. The color should be the same that is used now in the diff view.
  • The changes of the published version, its headline and the "currently published version" of the subtitle all have the same background color, too. The color should also be the same that is used now in the diff view.
  • The "currently published version" of the subtitle of "Editor to be published" should also get the same color background

All of this would ideally be implemented without the use of javascript.

Mock:
See also the mock for a general idea.

Background:
This is part of fulfilling wish #1 of the German-speaking community wishlist 2015 (T139601).
The solution is a result of on-wiki discussion and Wikimania 2016 sessions and testings, as well as feedback we received to the prototype.

Event Timeline

Lea_WMDE updated the task description. (Show Details)Sep 2 2016, 3:23 PM
Lea_WMDE set the point value for this task to 18.
Lea_WMDE updated the task description. (Show Details)
WMDE-leszek triaged this task as Normal priority.Oct 18 2016, 12:45 PM
WMDE-Fisch moved this task from Proposed to Done on the WMDE-QWERTY-Team board.Jan 31 2017, 10:09 AM
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Jan 31 2017, 3:09 PM
Tobi_WMDE_SW closed this task as Resolved.Feb 7 2017, 10:40 AM
Tobi_WMDE_SW claimed this task.